%define nodejs_libdir %{_prefix}/lib/node_modules/npm/node_modules/

Summary:	Fast, reliable, and secure node dependency management
Name:		yarn
Version:	1.3.2
Release:	1
License:	BSD
Group:		Development/Tools
Url:		https://yarnpkg.com/
Source0:	https://github.com/yarnpkg/yarn/releases/download/v%{version}/%{name}-v%{version}.tar.gz
Requires:	nodejs
BuildArch:	noarch

%description
Fast, reliable, and secure dependency management. Yarn: Fast,
reliable, and secure dependency management.

Fast: Yarn caches every package it downloads so it never needs to
again. It also parallelizes operations to maximize resource
utilization so install times are faster than ever.

Reliable: Using a detailed, but concise, lockfile format, and a
deterministic algorithm for installs, Yarn is able to guarantee that
an install that worked on one system will work exactly the same way on
any other system.

Secure: Yarn uses checksums to verify the integrity of every installed
package before its code is executed.

%files
%doc LICENSE
%{_bindir}/yarn
%{_bindir}/yarnpkg
%{nodejs_libdir}/%{name}

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-v%{version}

rm bin/*.cmd
rm bin/yarn
rm bin/yarnpkg

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{nodejs_libdir}/%{name}

cp -a lib bin package.json %{buildroot}%{nodejs_libdir}/%{name}/
chmod 755 %{buildroot}%{nodejs_libdir}/%{name}/bin/%{name}.js
ln -s %{nodejs_libdir}/%{name}/bin/%{name}.js %{buildroot}%{_bindir}/%{name}
ln -s %{name} %{buildroot}%{_bindir}/yarnpkg


%changelog

* Wed Jan 31 2018 Rosa <rosa@abf.rosalinux.ru> 1.3.2-1
- (95c44f5) Automatic import for version 1.3.2-1


